<?php

namespace App\Services\Interfaces;

use App\Models\TableNumber;
use Illuminate\Http\Request;

interface TableNumberRepositoryInterface
{
    public function get(Request $request);
//    public function save(Request $request, ?TableNumber $tableNumber): TableNumber;

    public function create(Request $request);
    public function update(Request $request,$id);
    public function restore(Request $request,$id);
    public function delete(Request $request,$id);
}
